### Function

# GLib utf8_to_ucs4_fast

#### Declaration [src]

    gunichar*
    g_utf8_to_ucs4_fast (
      const gchar* str,
      glong len,
      glong* items_written
    )

#### Description [src]

Convert a string from UTF-8 to a 32-bit fixed width representation as UCS-4, assuming valid UTF-8 input.

This function is roughly twice as fast as `g_utf8_to_ucs4()` but does no error checking on the input. A trailing nul character (U+0000) will be added to the string after the converted text.

#### Parameters

`str`

  Type: `const gchar*`

  A UTF-8 encoded string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `glong`

  The maximum length of `str` to use, in bytes. If `len` is negative, then the string is nul-terminated.

`items_written`

  Type: `glong*`

  Location to store the number of characters in the result, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gunichar*`

A pointer to a newly allocated UCS-4 string. This value must be freed with `g_free()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.